org.eclipse.swt.events

## Interface MenuDetectListener

    public interface MenuDetectListener

Classes which implement this interface provide methods that deal with the events that are generated when the platform-specific trigger for showing a context menu is detected.

After creating an instance of a class that implements this interface it can be added to a control or TrayItem using the `addMenuDetectListener` method and removed using the `removeMenuDetectListener` method. When the context menu trigger occurs, the `menuDetected` method will be invoked.

Since:
  1.3
See Also:
  `MenuDetectEvent`

### Method Summary

Methods
`void` `menuDetected(MenuDetectEvent e)` Sent when the platform-dependent trigger for showing a menu item is detected.

### Method Detail

#### menuDetected

    void menuDetected(MenuDetectEvent e)

Sent when the platform-dependent trigger for showing a menu item is detected.

Parameters:
  `e` - an event containing information about the menu detect

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0